Ubuntu

last feisty update breaks sound: SB450 HDA Audio

Reported by Robert McMeekin on 2007-02-28
64
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Daniel T Chen

Bug Description

After the last system update, I rebooted my computer and sound no longer worked.

robert@guitar:~$ uname -a
Linux guitar 2.6.20-9-generic #2 SMP Mon Feb 26 03:01:44 UTC 2007 i686 GNU/Linux

I will attach output of various commands I've heard are useful in this situation.

Related branches

Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :
Robert McMeekin (rrm3) wrote :

When I say sound "doesn't work." I mean that no sound comes out of the laptop speakers, although ubuntu seems to have no idea that sound isn't working. No errors that I have no sound card configured come up, and the panel applet does not show anything muted. When I play music through totem, the visualizations happen. Rhythmbox plays. There's just no sound. Prior to this last update, sound did come out of the speakers as expected. Yes, the volume knob is turned up.

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the output requested at https://help.ubuntu.com/community/DebuggingSoundProblems ? Thanks in advance.

Robert McMeekin (rrm3) wrote :

Sorry about the delay, I am now attaching more output files.

robert@guitar:~$ asoundconf list
Names of available sound cards:
SB
robert@guitar:~$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Generic 11c1 Si3054
robert@guitar:~$

Robert McMeekin (rrm3) wrote :
Brian Visel (eode) wrote :

I have the same problem..
running 64-bit edgy.

alsa-utils stop or restart results in:
amixer: Mixer hw:0 load error: Invalid argument

..repeated a bunch of times.

alsamixer results in:
alsamixer: function snd_mixer_load failed: Invalid argument

Brian Visel (eode) wrote :
Download full text (3.8 KiB)

Module Size Used by
rfcomm 45352 0
l2cap 28160 5 rfcomm
bluetooth 61828 4 rfcomm,l2cap
ppdev 11272 0
powernow_k8 16480 1
cpufreq_powersave 3072 0
cpufreq_stats 8416 0
cpufreq_userspace 6176 0
cpufreq_ondemand 10640 1
cpufreq_conservative 9736 0
freq_table 6336 3 powernow_k8,cpufreq_stats,cpufreq_ondemand
video 19080 0
battery 12040 0
container 6144 0
sbs 17856 0
button 10016 0
i2c_ec 6784 1 sbs
dock 11968 0
ac 6920 0
asus_acpi 19756 0
backlight 8448 1 asus_acpi
nls_utf8 3456 2
ntfs 101960 2
ipv6 299904 10
sbp2 26628 0
parport_pc 40104 0
lp 15048 0
parport 43404 3 ppdev,parport_pc,lp
fuse 51888 0
af_packet 27020 4
joydev 12928 0
snd_hda_intel 23840 1
snd_hda_codec 243200 1 snd_hda_intel
snd_pcm_oss 49408 0
snd_mixer_oss 19840 2 snd_pcm_oss
snd_pcm 92808 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_dummy 5380 0
pcmcia 43800 0
snd_seq_oss 36608 0
snd_seq_midi 11008 0
snd_rawmidi 29696 1 snd_seq_midi
snd_seq_midi_event 9856 2 snd_seq_oss,snd_seq_midi
bcm43xx 135828 0
snd_seq 61856 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
ieee80211softmac 34688 1 bcm43xx
snd_timer 26632 2 snd_pcm,snd_seq
snd_seq_device 10260 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
ieee80211 37064 2 bcm43xx,ieee80211softmac
psmouse 43408 0
ieee80211_crypt 8064 1 ieee80211
sky2 46472 0
snd 68904 10 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
yenta_socket 29836 1
rsrc_nonstatic 14208 1 yenta_socket
tifm_7xx1 11520 0
tifm_core 11520 1 tifm_7xx1
pcspkr 4736 0
k8temp 7552 0
serio_raw 9092 0
soundcore 10272 2 snd
snd_page_alloc 11792 2 snd_hda_intel,snd_pcm
pcmcia_core 45860 3 pcmcia,yenta_socket,rsrc_nonstatic
shpchp 37404 0
i2c_piix4 11148 0
i2c_core 26624 2 i2c_ec,i2c_piix4
pci_hotplug 36228 1 shpchp
tsdev 10112 0
evdev 13056 5
reiserfs 248576 2
ide_cd 35104 0
cdrom 40744 1 ide_cd
ide_disk 18304 6
generic 6788 0 [permanent]
atiixp 8208 0 [permanent]
ata_generic 10244 0
libata 127656 1 ata_generic
scsi_mod 166968 2 sbp2,libata
ohci1394 38088 0
ieee...

Read more...

Brian Visel (eode) wrote :

urgh. Sorry, clicked the link in attachments to add, and thought it would store the text as an attachment.

here..

Brian Visel (eode) wrote :
Brian Visel (eode) wrote :
Brian Visel (eode) wrote :
Brian Visel (eode) wrote :
Brian Visel (eode) wrote :

amixer: Mixer default load error: Invalid argument

Brian Visel (eode) wrote :

asoundconf list is:

Names of available sound cards:
SB

Brian Visel (eode) wrote :

cat /etc/asound.conf ~/.asoundrc*

cat: /etc/asound.conf: No such file or directory
cat: /home/brian/.asoundrc*: No such file or directory

Found a lead in the forums:

http://ubuntuforums.org/showthread.php?t=251123&highlight=sb450

..any way to get an update on this?

Latest Alsa drivers (1.0.14rc3) fix this..
{{{
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.14rc3.tar.bz2
tar -xjf alsa-driver-1.0.14rc3.tar.bz2
cd alsa-driver-1.0.14rc3
./configure
make
make install
}}}

Brian Visel (eode) wrote :

..I don't know how to do codeblocks in launchpad comments.. ..you can and should skip the triple-curly-braces above, tho.

Brian Visel (eode) wrote :

..that should be "sudo make install"

Daniel T Chen (crimsun) on 2007-03-13
Changed in alsa-driver:
assignee: nobody → crimsun
importance: Undecided → Low
status: Confirmed → Fix Committed
Malcolm Yates (mdy) wrote :

I hope that this my bug will be a dup of this report. I have had the same issue on my ThinkPad T43 - no sound from 2.6.20-9. Am up to latest 2.6.20-12, and have installed the latest Alsa driver ref'd above.

Still no sound.

I'm not sure that these days having no sound is a low impact bug though .....

If necessary, I can add all of the required logs and conf files.

Thanks

Robert McMeekin (rrm3) wrote :

Yes, I'm not sure where the fix was committed, but it hasn't made it's way down through the updates yet. Still no sound for me.

Liz (liesbyomission) wrote :

I'm having this same problem on my Toshiba Satellite A135-S2246. I am just running from the Feisty Beta LiveCD, since I can't actually install on this computer right now. The volume controls don't seem to realize that there's not actually any sound. When I play the sample video, the video itself is fine but there's no audio. I really hope this gets fixed for the final install CD...

I did dmesg, lsmod, and lspci -v, and I attached them.

Liz (liesbyomission) wrote :

Oh, sorry, I didn't do all the right commands....Here are the other files requested from https://help.ubuntu.com/community/DebuggingSoundProblems

Liz (liesbyomission) wrote :
Liz (liesbyomission) wrote :
Liz (liesbyomission) wrote :
Liz (liesbyomission) wrote :
Liz (liesbyomission) wrote :

This should be the last one.

Mahdi (mahdi-hates-spam) wrote :

Same here! =/
Acer Aspire 5043WLMi

Joseph (lists-sspbl) wrote :

Same problem here on t43.
Sound worked fine with Edgy.
Did a dist upgrade to Feisty and all looks good, but there is no sound.
The system seems to think it is working, play etc.

Shinji (thorsten-reichelt) wrote :

Same problem with intel8x0 driver on my Thinpad R52. Same symptoms as Joseph.

shinji@Aragorn:~$ asoundconf list
Names of available sound cards:
ICH6

shinji@Aragorn:~$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Analog Devices AD1981B

shinji@Aragorn:~$ lspci
[...]
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
[...]

I tried the new 1.0.14rc3 driver but it did not work. All worked fine before i updated from Edgy to Feisty.

nicoles (nicoletbn) wrote :

Same deal, thinkpad r51, had sound in edgy, no sound in feisty.

nicoles@nicolation:~$ lspci
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)

Daniel T Chen (crimsun) wrote :

Guys, please stop cluttering this bug report with completely irrelevant details. For instance, Joseph, Shinji, and nicoles have completely different hardware - please file separate bug reports.

Gilles Gigan (gillesg) wrote :

Hi,
I would like to add to this report: I just installed Ubuntu Feisty on my Toshiba A100 and
I have exactly the same problem on the (exact) same sound card: ATI SB450 (see lspci output).

Gilles Gigan (gillesg) wrote :

Here is the output of :
tail -2 /proc/asound/oss/sndstat
amixer
asoundconf list
cat /etc/asound.conf ~/.asoundrc*
dmesg
cat /proc/interrupts

Gilles Gigan (gillesg) wrote :

Now I also did my homework and read several bug reports (mainly on ubuntuforums and launchpad), and here s what I found:
According to genodad in https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/103379
upgrading to alsa-driver-1.0.14rc2 and alsa-lib-1.0.14rc2 fixed the problem on his side.
I went onto trying this and I found that amixer not only show the modem controls (as before) but also the normal sound card controls (see the output of the same commands ran after the upgrade)

Gilles Gigan (gillesg) wrote :

The only problem is that there is still no sound coming out of the speakers.....
Given that alsamixer shows only 5 playback controls, and that I tried all possible combinations, I doubt it is a volume setting problem (but mabye someone can confirm this?)
Is the problem on alsa 's side or is it something I missed ?
I ll try upgrading to rc3 tomorrow, and I ll post the results.

Gilles Gigan (gillesg) wrote :

Hi everyone,
After hours spent on the problem, I worked out a (temporary) fix with the people from the alsa-devel ML:
sudo rmmod snd-hda-intel
sudo modprobe snd-hda-intel probe_mask=8 model=auto

if it works, add "options snd-hda-intel probe_mask=8 model=auto" to /etc/modprobe.d/alsa-base

Et voila

peter07 (peter07) wrote :

Adding "options snd-hda-intel probe_mask=8 model=auto" to /etc/modprobe.d/alsa-base doesn't solve my problem. After that:

dmesg:
...
[ 26.512000] hda_codec: invalid dep_range_val 0:7fff
[ 26.512000] hda_codec: invalid dep_range_val 0:7fff
[ 26.512000] hda_codec: invalid dep_range_val 0:7fff
... (many times)

tail -2 /proc/asound/oss/sndstat
Mixers:
0: Generic ffff ID ffff

example aplay:
ALSA lib pcm_dmix.c:864:(snd_pcm_dmix_open) unable to open slave
aplay: main:550: błąd otwierania audio: No such file or directory

Malcolm Yates (mdy) wrote :

Update : tried using the GA version of the Live CD - sound came forth quite happily.

In my case I have a system that has been updated from Breezy - Dapper - Edgy - Feisty .... I ownder if this has something to do with the problem.

Has everyone else been through updates similarly ?

Just a thought in the process of tracking it down.

Also, the modprobe did not fix my problem either.

malc

Michael Yockey (myockey) wrote :

Same problem here, no sound. IBM Thinkpad R51 with the Intel AC'97 Audio Controller. Ben's modprobe suggestion did not work.

I had a related (?) problem with my ThinkPad R52.
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
Sound seems to be played from apps POV, but no noise out of headphone / speakers.
The "KMix solution" worked - no further changes on module params etc needed.
Just uncheck (!) "Headphone Jack" AND "Line Jack Sense" under "Switches" Tab in KMixer.
Maybe this helps someone - are there equivalent options for Gnome?

bato (bato1) wrote :

Same (?) problem here: Thinkpad T43, lspci gives me:
Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

Sound worked in Dapper, but after a clean install of feisty sound is just sometimes working. furthermore, hibernating can cause system to loose sound. let me know if any specific output would help. cheers

I have a Thinkpad X40 with 82801DBM (ICH4-M) audio chip and AD1981B codec, exactly the same hardware as on R51.

I had to switch off (mute) the "headphone jack sense" before I got sound on Feisty, too. The switch is readily available on alsamixer terminal app, but you have to explicitly enable it from Gnome Volume control preferences.

Thanks for the tip, Henning.

bato (bato1) wrote :

I think I solved my problem with sound by installing an unpatched kernel from http://rookery.ubuntu.com/~kyle/kernels/salgado/2007-04-25/

see:
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/80893

cheers

[euchrid] (euchrid) wrote :

I solved a similar problem on Feisty by updating the Alsa driver.

Solution and more information here: http://ubuntuforums.org/showthread.php?p=2798055#post2798055

Hope it helps someone.

Steve Karg (steve-karg) wrote :

I have 2 Toshiba Satellite A135 laptops with SB450 HDA Audio. The sound did not work at all with Kubuntu 7.04 Feisty, but did work with Kubuntu 6.10 Edgy. I got the sound working by adding some parameters to the snd_hda_intel driver module. I did not update the ALSA drivers.

$ sudo vim /etc/modprobe.d/alsa-base

Add the following line at the end of the file:

options snd-hda-intel probe_mask=8 model=3stack

I restarted the laptop after saving the changes to the /etc/modprobe.d/alsa-base file.

Note: I had tried the snd-hda-intel options line with model=auto and that did not work for me. I tried the snd-hda-intel options line with model=auto without the probe_mask and it did not work for me. On the second laptop I downloaded and compiled the newer ALSA drivers and the 1.0.14rc4 drivers did not work for me.

I got this workaround from https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/103379

RichPicker (rich-braden) wrote :

I followed the instructions, but get this in the terminal when I enter the ./configure command

rich@rich-laptop:~/alsa-driver-1.0.14rc4$ ./configure
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
rich@rich-laptop:~/alsa-driver-1.0.14rc4$

Daniel T Chen (crimsun) wrote :
Download full text (3.8 KiB)

alsa-driver (1.0.14-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/alsa-base.modprobe: Load snd-seq,
    - debian/alsa-base.postinst: Forcibly remove /etc/modprobe.d/sound
      on dist-upgrade,
    - debian/control: Don't Depend on modutils, and adhere to
      DebianMaintainerField,
    - debian/linux-sound-base.dirs: Don't create modutils or discover,
    - debian/rules: Enable MPU for snd-cmipci,
    - Only ship modprobe configuration,
    - Remove default mode,
    - Invoke modprobe with -Qb and command line options,
    - Remove modprobe post-install script in favour of using udev,
    - Continue to ship the initscript in the apm scripts dir.
  * New upstream version closes LP: #45841, LP: #51357, LP: #57294,
    LP: #59569, LP: #63971, LP: #66843, LP: #68930, LP: #75725,
    LP: #77024, LP: #77099, LP: #77101, LP: #83015, LP: #87195,
    LP: #88546, LP: #88570, LP: #90417, LP: #91721, LP: #92307,
    LP: #92358, LP: #95597, LP: #108563, LP: #110599, LP: #115186,
    LP: #118173, LP: #119086.

alsa-driver (1.0.14-1) unstable; urgency=low

  * New upstream release. (closes: #391991, #401074, #421853)

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Browser and XS-Vcs-Svn headers.

  [ Elimar Riesebieter ]

  * Patch management switched to quilt. This is more comfortable.
  * Updated alsa-drivers debconf templates.
    Thanks, debian-l10n-english contributors (closes: #425208).
  * Updated alsa-drivers debconf translations:
    Galician: Jacobo Tarrio (closes: #425804).
    Japanese: Kenshi Muto (closes: #426007).
    Portuguese: Traduz (closes: #426111).
    Malayalam: Praveen A (closes: #426241).
    German: Helge Kreutzmann (closes: #426375).
    Czech: Miroslav Kure (closes: #426427).
    Vietnamese: Clytie Siddall (closes: #427148).
    Dutch: Bart Cornelis (closes: #428032).
    Russian: Yuri Kozlov (closes: #428136).
    Spanish: Carlos Galisteo de Cabo (closes: #428572)
    Swedish: Daniel Nylander (closes: #426202)
    Catalan: Jordi Mallach (closes: #428224)
  * Added alsa-drivers debconf templates translations:
    Basque: Piarres Beobide (closes: #425810).
    Bulgarian: Damyan Ivanov (closes: #425854).
    Tamil: Tirumurti Vasudevan (closes: #426081).
    Italian: Luca Monducci (closes: #426152).
    Korean: Sunjae Park (closes: #426618).
    Arabic: Ossama Khayat (closes: #428264)

alsa-driver (1.0.14~rc4-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.
  * Added Malayalam translation. Thanks Santhosh Thottingal. (closes: #419524)

alsa-driver (1.0.14~rc3-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate
  * Merged etch changes

alsa-driver (1.0.14~rc1-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate
  * Removed debian/patches/98_ens1371_inaudible_sound_def.dpatch. Applied
    different from upstream

alsa-driver (1.0.13-5) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added snd-seq-midi as an optional load above generic modules (snd-rawmidi)
    Thanks Eduard Dumitrescu for testing. (closes: #408036)
  * Added "cx88_alsa (PCI: TV cards...." to d...

Read more...

Changed in alsa-driver:
status: Fix Committed → Fix Released
Nev (nevinevi) wrote :

Hey, i compiled alsa, reboot, and it worked fine...

Ok what did you do to recompile alsa?

Just where did you get the pacakge... is there anything debian like that i
need to get to build it... or did you just do a make && make install?

thanks

On 7/6/07, Nev <email address hidden> wrote:
>
> Hey, i compiled alsa, reboot, and it worked fine...
>
> --
> last feisty update breaks sound: SB450 HDA Audio
> https://bugs.launchpad.net/bugs/88570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

John (john-k-taylor) wrote :

If anyone is getting the following when trying to build the alsa drivers: -

rich@rich-laptop:~/alsa-driver-1.0.14rc4$ ./configure
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
rich@rich-laptop:~/alsa-driver-1.0.14rc4$

You need to install build-essential from the synaptic package manager which can be started up by doing the following: -

1. From the top menu bar select System-->Administration-->Synaptic Package Manager
2. Press Search button within the Synaptic Package Manager Window
3. Enter 'build-essential' into the 'search' field and press the search button.
4. If not already installed (the box beside build-essential should be green), click on the box and select 'Mark for Installation'
5. Press the apply button.

You will then need to do the following to create the alsa drivers and install them: -

1, Call up a terminal window by selecting Applications-->Accessories-->Terminal from the top menu bar
2. Enter the following lines into the terminal window.

wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.14.tar.bz2
tar -xjf alsa-driver-1.0.14.tar.bz2
cd alsa-driver-1.0.14
./configure
make
sudo make install

Reboot the system, hopefully everything will then work as it should ;)

Ralph (rbancer) wrote :

To John:

Did as you said, installed build-essentials, problem persists

raf@equinox2:~$ wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.14.tar.bz2
--22:49:11-- ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.14.tar.bz2
           => `alsa-driver-1.0.14.tar.bz2'
Resolving ftp.alsa-project.org... 160.217.9.25
Connecting to ftp.alsa-project.org|160.217.9.25|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done. ==> PWD ... done.
==> TYPE I ... done. ==> CWD /pub/driver ... done.
==> PASV ... done. ==> RETR alsa-driver-1.0.14.tar.bz2 ... done.
Length: 2,600,096 (2.5M) (unauthoritative)

100%[====================================>] 2,600,096 52.02K/s ETA 00:00

22:50:05 (49.52 KB/s) - `alsa-driver-1.0.14.tar.bz2' saved [2600096]

raf@equinox2:~$ tar -xjf alsa-driver-1.0.14.tar.bz2
raf@equinox2:~$ cd alsa-driver-1.0.14
raf@equinox2:~/alsa-driver-1.0.14$ ./configure
checking for gcc... /usr/bin/gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
raf@equinox2:~/alsa-driver-1.0.14$

John's guide worked for me today. Thanks!

Ralph (rbancer) wrote :

my config log

John (john-k-taylor) wrote :

hi Rafal

Thanks for posting your config.log file :)

From what I can see your running a slightly different kernel ('2.6.22-ck1') from the normal stock kernel '2.6.20-16-generic' (at the time of this writing), and this may have an impact, although I can't be sure of that :)

oh and extra parameters seem to be attached when the configure script checks the default output name of the c compiler on your system.

Your config.log contains the following line: -

configure:2367: checking for C compiler default output file name
configure:2394: gcc -O2 -mtune=k8 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions" conftest.c >&5
cc1: error: unrecognized command line option "-fno-exceptions""
configure:2397: $? = 1

(incidentally i thing gcc is objecting to the " character at the end of the -fno-exception parameter and not -fno-exceptions parameter itself)

whereas my config.log file contains: -

configure:2367: checking for C compiler default output file name
configure:2394: gcc conftest.c >&5
configure:2397: $? = 0

I'm mainly a windows developer, so I'm a little out of my depth in the linux world but I think your answer might lie in those parameters?

Regards

John.

recompiling alsa did not work for me. i am using the stock kernel.

On 7/12/07, John <email address hidden> wrote:
>
> hi Rafal
>
> Thanks for posting your config.log file :)
>
> >From what I can see your running a slightly different kernel
> ('2.6.22-ck1') from the normal stock kernel '2.6.20-16-generic' (at the
> time of this writing), and this may have an impact, although I can't be
> sure of that :)
>
> oh and extra parameters seem to be attached when the configure script
> checks the default output name of the c compiler on your system.
>
> Your config.log contains the following line: -
>
> configure:2367: checking for C compiler default output file name
> configure:2394: gcc -O2 -mtune=k8 -funroll-loops -ffast-math
> -fomit-frame-pointer -fno-exceptions" conftest.c >&5
> cc1: error: unrecognized command line option "-fno-exceptions""
> configure:2397: $? = 1
>
> (incidentally i thing gcc is objecting to the " character at the end of
> the -fno-exception parameter and not -fno-exceptions parameter itself)
>
> whereas my config.log file contains: -
>
> configure:2367: checking for C compiler default output file name
> configure:2394: gcc conftest.c >&5
> configure:2397: $? = 0
>
> I'm mainly a windows developer, so I'm a little out of my depth in the
> linux world but I think your answer might lie in those parameters?
>
> Regards
>
> John.
>
> --
> last feisty update breaks sound: SB450 HDA Audio
> https://bugs.launchpad.net/bugs/88570
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Ralph (rbancer) wrote :

John thank you for your prompt answer, i too realized that slight error in the cflag line and i attempted a fix
export CFLAGS="-O2 -mtune=k8 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions"

it fixed the issue of not begin able to compile, and i was able to complete the compile, however this fix only lasts for the current session. Once i reboot i no longer can compile until i input that line.

John (john-k-taylor) wrote :

tonetheman, can you post your config.log?

John (john-k-taylor) wrote :

Rafal,

It appears as if something is adding CFLAGS to your environment variables when you boot....would it be possible to create a new user on your box? this would help eliminate something to do with the user profile your currently using...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions